Subject: bug#23481: 25.1.50; vc-next-action cannot commit for emacs master

From: Uwe Brauer <[email-masked]>
Date: Sun, 08 May 2016 18:19:36 +0000

> Didn't it also display this message:

   >   Nonempty second line in commit message
   >   Commit aborted; please see the file CONTRIBUTE

Not that I can remember.

   > IOW, this is a cockpit error: the Emacs repository enforces the above
   > rule, and your commit didn't comply.  If you modify the commit log
   > entry so that the 2nd line is empty, everything will work as expected.

But it is not clear to me what 2nd line means here:

This is  what I after running vc-next-action and C-c Ca

Summary: 
Author: 
-----------------------------------------------------
* vc-hg.el (vc-hg-symbolic-revision-styles):
Add a phrase to the docstring, which explains how to obtain the
old behavior of the modeline.

* vc-hg.el (vc-hg-symbolic-revision-styles):
Add a phrase to the docstring: When this variable is t, the
modeline contains revision information for the visited file,
however in order to obtain the old behavior of the modeline,
vc-hg-symbolic-revision-styles needs to be modified.

The line is only displayed it is not real (I presume you are using vc as
well).
So what, now? Shall I delete the line starting Author? That does not work.

I am really sorry that seems so trivial, but 2nd line is not clear to
me.

>From the CONTRIBUTION file

- If you use Emacs VC, one way to format ChangeLog entries is to create
  a top-level ChangeLog file manually, and update it with 'C-x 4 a' as
  usual.  Do not register the ChangeLog file under git; instead, use
  'C-c C-a' to insert its contents into into your *vc-log* buffer.
  Or if 'log-edit-hook' includes 'log-edit-insert-changelog' (which it
  does by default), they will be filled in for you automatically.

So nothing said about an empty line in that paragraph.

   > (It doesn't happen in your private repository because you didn't copy
   > there the Git hooks which enforce this and other rules.)